#ifndef CDRAPP_H_INCLUDED
#define CDRAPP_H_INCLUDED

#import "VGCoreAuto.tlb"

#include "VGCoreAuto.tlh"


#define corel VGCore::IVGApplication
using namespace VGCore;

void Call_CorelDRAW();


bool polygon_gravity_dot(corel* cdr);

bool Test_Intersect(corel* cdr);
void test_IsOnShape(corel *cdr);

bool isIntWith(corel *cdr, IVGShape* s1 , IVGShape* s2);

// 重新包装 创建物件函数
#define ZERO_4PC 0, 0, 0, 0

#define GET_BOUNDING_BOX(box)                                                  \
  GetBoundingBox(&(box).x, &(box).y, &(box).w, &(box).h, false)

typedef struct {
  double x; 
  double y; 
  double w; 
  double h; 
} BoundingBox;

IVGShapePtr MakeEllipse(corel* cdr, double x, double y, double r);
IVGShapePtr MakeEllipse(corel* cdr, IVGShapePtr s, double r);

IVGShapePtr MakeRectangle(corel* cdr, double x, double y, double w, double h);
IVGShapePtr MakeRectangle(corel* cdr, IVGShapePtr s, double w, double h);

IVGShapePtr DrawLine(corel* cdr, double x1, double y1, double x2, double y2);

#endif // CDRAPP_H_INCLUDED